package org.stm.baosong.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.stm.baosong.entity.BaosongTask;
import org.stm.baosong.entity.BaosongTaskAlloc;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.stm.baosong.entity.BaosongTpl;
import org.stm.baosong.entity.BaosongTplItem;

/**
 * @Description: 任务分配
 * @Author: jeecg-boot
 * @Date:   2024-12-17
 * @Version: V1.0
 */
public interface BaosongTaskAllocMapper extends BaseMapper<BaosongTaskAlloc> {
    List<Map<String,Object>> queryAllTaskAlloc(@Param("query") BaosongTaskAlloc alloc);
    List<BaosongTpl> queryAllTplForUser(@Param("query") BaosongTaskAlloc taskAlloc);
    List<BaosongTplItem> queryAllTplItemForUser(@Param("query") BaosongTaskAlloc alloc);
    List<Map<String,Object>> queryCurTaskAllocUser(@Param("query") BaosongTaskAlloc alloc);
    List<Map<String,Object>> statAllocNum(@Param("query") BaosongTaskAlloc alloc);
    List<Map<String,Object>> staTplChildNum(@Param("query") BaosongTaskAlloc alloc);
    List<Map<String,Object>> selectTaskStatus(@Param("query") BaosongTaskAlloc alloc);
    List<Map<String,Object>> selectTaskFillSta(@Param("query") BaosongTaskAlloc alloc);
    List<Map<String,Object>> getFillUsers(@Param("query") BaosongTaskAlloc alloc);
}
